Tabs

Bootstrap 5 Tabs component

Tabs are quasi-navigation components which can highly improve website clarity and increase user experience.

Note: Read the API tab to find all available options and advanced customization

Required ES init: Tab *
* UMD autoinits are enabled by default. This means that you don't need to initialize the component manually. However if you are using MDBootstrap ES format then you should pass the required components to the initMDB method.

Basic example

Basic tabs are divided into 2 main sections - Tabs navs (containing nav-items) and Tabs content (containing tab-panes).

Use id and href attribute to connect tabs navs with tabs content.

In the example below Tab 1 uses href="#ex1-tabs-1" in the first nav-link element to connect it with the first tab-pane which has an ID ex1-tabs-1.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
          <!-- Tabs navs -->
          <ul class="nav nav-tabs mb-3" id="ex1" role="tablist">
            <li class="nav-item" role="presentation">
              <a
                data-mdb-tab-init
                class="nav-link active"
                id="ex1-tab-1"
                href="#ex1-tabs-1"
                role="tab"
                aria-controls="ex1-tabs-1"
                aria-selected="true"
                >Tab 1</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                data-mdb-tab-init
                class="nav-link"
                id="ex1-tab-2"
                href="#ex1-tabs-2"
                role="tab"
                aria-controls="ex1-tabs-2"
                aria-selected="false"
                >Tab 2</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                data-mdb-tab-init
                class="nav-link"
                id="ex1-tab-3"
                href="#ex1-tabs-3"
                role="tab"
                aria-controls="ex1-tabs-3"
                aria-selected="false"
                >Tab 3</a
              >
            </li>
          </ul>
          <!-- Tabs navs -->

          <!-- Tabs content -->
          <div class="tab-content" id="ex1-content">
            <div
              class="tab-pane fade show active"
              id="ex1-tabs-1"
              role="tabpanel"
              aria-labelledby="ex1-tab-1"
            >
              Tab 1 content
            </div>
            <div class="tab-pane fade" id="ex1-tabs-2" role="tabpanel" aria-labelledby="ex1-tab-2">
              Tab 2 content
            </div>
            <div class="tab-pane fade" id="ex1-tabs-3" role="tabpanel" aria-labelledby="ex1-tab-3">
              Tab 3 content
            </div>
          </div>
          <!-- Tabs content -->
        
        
    
        
            
          // Initialization for ES Users
          import { Tab, initMDB } from "mdb-ui-kit";

          initMDB({ Tab });
        
        
    

Fill and justify

Force your .nav's contents to extend the full available width one of two modifier classes.

Fill

To proportionately fill all available space with your .nav-items, use .nav-fill. Notice that all horizontal space is occupied, but not every nav item has the same width.

        
            
            <!-- Tabs navs -->
            <ul class="nav nav-tabs nav-fill mb-3" id="ex1" role="tablist">
              <li class="nav-item" role="presentation">
                <a
                  data-mdb-tab-init
                  class="nav-link active"
                  id="ex2-tab-1"
                  href="#ex2-tabs-1"
                  role="tab"
                  aria-controls="ex2-tabs-1"
                  aria-selected="true"
                  >Link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  data-mdb-tab-init
                  class="nav-link"
                  id="ex2-tab-2"
                  href="#ex2-tabs-2"
                  role="tab"
                  aria-controls="ex2-tabs-2"
                  aria-selected="false"
                  >Very very very very long link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  data-mdb-tab-init
                  class="nav-link"
                  id="ex2-tab-3"
                  href="#ex2-tabs-3"
                  role="tab"
                  aria-controls="ex2-tabs-3"
                  aria-selected="false"
                  >Another link</a
                >
              </li>
            </ul>
            <!-- Tabs navs -->

            <!-- Tabs content -->
            <div class="tab-content" id="ex2-content">
              <div
                class="tab-pane fade show active"
                id="ex2-tabs-1"
                role="tabpanel"
                aria-labelledby="ex2-tab-1"
              >
                Tab 1 content
              </div>
              <div
                class="tab-pane fade"
                id="ex2-tabs-2"
                role="tabpanel"
                aria-labelledby="ex2-tab-2"
              >
                Tab 2 content
              </div>
              <div
                class="tab-pane fade"
                id="ex2-tabs-3"
                role="tabpanel"
                aria-labelledby="ex2-tab-3"
              >
                Tab 3 content
              </div>
            </div>
            <!-- Tabs content -->
          
        
    
        
            
            // Initialization for ES Users
            import { Tab, initMDB } from "mdb-ui-kit";

            initMDB({ Tab });
          
        
    

Justify

For equal-width elements, use .nav-justified. All horizontal space will be occupied by nav links, but unlike the .nav-fill above, every nav item will be the same width.

        
            
            <!-- Tabs navs -->
            <ul class="nav nav-tabs nav-justified mb-3" id="ex1" role="tablist">
              <li class="nav-item" role="presentation">
                <a
                  data-mdb-tab-init
                  class="nav-link active"
                  id="ex3-tab-1"
                  href="#ex3-tabs-1"
                  role="tab"
                  aria-controls="ex3-tabs-1"
                  aria-selected="true"
                  >Link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  data-mdb-tab-init
                  class="nav-link"
                  id="ex3-tab-2"
                  href="#ex3-tabs-2"
                  role="tab"
                  aria-controls="ex3-tabs-2"
                  aria-selected="false"
                  >Very very very very long link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  data-mdb-tab-init
                  class="nav-link"
                  id="ex3-tab-3"
                  href="#ex3-tabs-3"
                  role="tab"
                  aria-controls="ex3-tabs-3"
                  aria-selected="false"
                  >Another link</a
                >
              </li>
            </ul>
            <!-- Tabs navs -->

            <!-- Tabs content -->
            <div class="tab-content" id="ex2-content">
              <div
                class="tab-pane fade show active"
                id="ex3-tabs-1"
                role="tabpanel"
                aria-labelledby="ex3-tab-1"
              >
                Tab 1 content
              </div>
              <div
                class="tab-pane fade"
                id="ex3-tabs-2"
                role="tabpanel"
                aria-labelledby="ex3-tab-2"
              >
                Tab 2 content
              </div>
              <div
                class="tab-pane fade"
                id="ex3-tabs-3"
                role="tabpanel"
                aria-labelledby="ex3-tab-3"
              >
                Tab 3 content
              </div>
            </div>
            <!-- Tabs content -->
          
        
    
        
            
            // Initialization for ES Users
            import { Tab, initMDB } from "mdb-ui-kit";

            initMDB({ Tab });
          
        
    

Vertical

Stack your navigation by changing the flex item direction with the .flex-column utility. Need to stack them on some viewports but not others? Use the responsive versions (e.g., .flex-sm-column).

For proper layout, you may also need to use grid to adjust navs and content.

Home content
Profile content
Messages content
        
            
          <div class="row w-100">
            <div class="col-3">
              <!-- Tab navs -->
              <div
                class="nav flex-column nav-tabs text-center"
                id="v-tabs-tab"
                role="tablist"
                aria-orientation="vertical"
              >
                <a
                  data-mdb-tab-init
                  class="nav-link active"
                  id="v-tabs-home-tab"
                  href="#v-tabs-home"
                  role="tab"
                  aria-controls="v-tabs-home"
                  aria-selected="true"
                  >Home</a
                >
                <a
                  data-mdb-tab-init
                  class="nav-link"
                  id="v-tabs-profile-tab"
                  href="#v-tabs-profile"
                  role="tab"
                  aria-controls="v-tabs-profile"
                  aria-selected="false"
                  >Profile</a
                >
                <a
                  data-mdb-tab-init
                  class="nav-link"
                  id="v-tabs-messages-tab"
                  href="#v-tabs-messages"
                  role="tab"
                  aria-controls="v-tabs-messages"
                  aria-selected="false"
                  >Messages</a
                >
              </div>
              <!-- Tab navs -->
            </div>

            <div class="col-9">
              <!-- Tab content -->
              <div class="tab-content" id="v-tabs-tabContent">
                <div
                  class="tab-pane fade show active"
                  id="v-tabs-home"
                  role="tabpanel"
                  aria-labelledby="v-tabs-home-tab"
                >
                  Home content
                </div>
                <div
                  class="tab-pane fade"
                  id="v-tabs-profile"
                  role="tabpanel"
                  aria-labelledby="v-tabs-profile-tab"
                >
                  Profile content
                </div>
                <div
                  class="tab-pane fade"
                  id="v-tabs-messages"
                  role="tabpanel"
                  aria-labelledby="v-tabs-messages-tab"
                >
                  Messages content
                </div>
              </div>
              <!-- Tab content -->
            </div>
          </div>
        
        
    
        
            
          // Initialization for ES Users
          import { Tab, initMDB } from "mdb-ui-kit";

          initMDB({ Tab });
        
        
    

Tabs with icons

Use one of 1541 icons and add it to the tabs. See the icon docs to explore all the available icons.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
  
        <!-- Tabs navs -->
        <ul class="nav nav-tabs mb-3" id="ex-with-icons" role="tablist">
          <li class="nav-item" role="presentation">
            <a data-mdb-tab-init class="nav-link active" id="ex-with-icons-tab-1" href="#ex-with-icons-tabs-1" role="tab"
              aria-controls="ex-with-icons-tabs-1" aria-selected="true"><i class="fas fa-chart-pie fa-fw me-2"></i>Sales</a>
          </li>
          <li class="nav-item" role="presentation">
            <a data-mdb-tab-init class="nav-link" id="ex-with-icons-tab-2" href="#ex-with-icons-tabs-2" role="tab"
              aria-controls="ex-with-icons-tabs-2" aria-selected="false"><i class="fas fa-chart-line fa-fw me-2"></i>Subscriptions</a>
          </li>
          <li class="nav-item" role="presentation">
            <a data-mdb-tab-init class="nav-link" id="ex-with-icons-tab-3" href="#ex-with-icons-tabs-3" role="tab"
              aria-controls="ex-with-icons-tabs-3" aria-selected="false"><i class="fas fa-cogs fa-fw me-2"></i>Settings</a>
          </li>
        </ul>
        <!-- Tabs navs -->
    
        <!-- Tabs content -->
        <div class="tab-content" id="ex-with-icons-content">
          <div class="tab-pane fade show active" id="ex-with-icons-tabs-1" role="tabpanel" aria-labelledby="ex-with-icons-tab-1">
            Tab 1 content
          </div>
          <div class="tab-pane fade" id="ex-with-icons-tabs-2" role="tabpanel" aria-labelledby="ex-with-icons-tab-2">
            Tab 2 content
          </div>
          <div class="tab-pane fade" id="ex-with-icons-tabs-3" role="tabpanel" aria-labelledby="ex-with-icons-tab-3">
            Tab 3 content
          </div>
        </div>
        <!-- Tabs content -->
  
            
        
    
        
            
              // Initialization for ES Users
              import { Tab, initMDB } from "mdb-ui-kit";
    
              initMDB({ Tab });
            
        
    

Tabs with buttons

Dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices, require role="tablist", role="tab", role="tabpanel", and additional aria- attributes in order to convey their structure, functionality and current state to users of assistive technologies (such as screen readers). As a best practice, we recommend using <button> elements for the tabs, as these are controls that trigger a dynamic change, rather than links that navigate to a new page or location.

Tab 1 content.
Tab 2 content
Tab 3 content
        
            
          <ul class="nav nav-tabs mb-3" id="myTab0" role="tablist">
            <li class="nav-item" role="presentation">
              <button
                data-mdb-tab-init
                class="nav-link active"
                id="home-tab0"
                data-mdb-target="#home0"
                type="button"
                role="tab"
                aria-controls="home"
                aria-selected="true"
              >
                Home
              </button>
            </li>
            <li class="nav-item" role="presentation">
              <button
                data-mdb-tab-init
                class="nav-link"
                id="profile-tab0"
                data-mdb-target="#profile0"
                type="button"
                role="tab"
                aria-controls="profile"
                aria-selected="false"
              >
                Profile
              </button>
            </li>
            <li class="nav-item" role="presentation">
              <button
                data-mdb-tab-init
                class="nav-link"
                id="contact-tab0"
                data-mdb-target="#contact0"
                type="button"
                role="tab"
                aria-controls="contact"
                aria-selected="false"
              >
                Contact
              </button>
            </li>
          </ul>
          <div class="tab-content" id="myTabContent0">
            <div
              class="tab-pane fade show active"
              id="home0"
              role="tabpanel"
              aria-labelledby="home-tab0"
            >
              Tab 1 content.
            </div>
            <div class="tab-pane fade" id="profile0" role="tabpanel" aria-labelledby="profile-tab0">
              Tab 2 content
            </div>
            <div class="tab-pane fade" id="contact0" role="tabpanel" aria-labelledby="contact-tab0">
              Tab 3 content
            </div>
          </div>
        
        
    
        
            
          // Initialization for ES Users
          import { Tab, initMDB } from "mdb-ui-kit";

          initMDB({ Tab });
        
        
    

Tabs - API


Import

Importing components depends on how your application works. If you intend to use the MDBootstrap ES format, you must first import the component and then initialize it with the initMDB method. If you are going to use the UMD format, just import the mdb-ui-kit package.

        
            
          import { Tab, initMDB } from "mdb-ui-kit";
  
          initMDB({ Tab });
        
        
    
        
            
          import 'mdb-ui-kit';
        
        
    

Usage

Regarding accessibility

If you’re using navs to provide a navigation bar, be sure to add a role="navigation" to the most logical parent container of the <ul>, or wrap a <nav> element around the whole navigation. Do not add the role to the <ul> itself, as this would prevent it from being announced as an actual list by assistive technologies.

Note that navigation bars, even if visually styled as tabs with the .nav-tabs class, should not be given role="tablist", role="tab" or role="tabpanel" attributes. These are only appropriate for dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices. The aria-current attribute is not necessary on dynamic tabbed interfaces since our JavaScript handles the selected state by adding aria-selected="true" on the active tab.

Via data attributes

Using the Tabs component doesn't require any additional JavaScript code - simply add data-mdb-tab-init attribute to every .nav-link and use other data attributes to set all options. For ES format, you must first import and call the initMDB method.

        
            
          <!-- Nav tabs -->
          <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item" role="presentation">
              <a
                data-mdb-tab-init
                class="nav-link active"
                id="home-tab"
                href="#home"
                role="tab"
                aria-controls="home"
                aria-selected="true"
                >Home</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                data-mdb-tab-init
                class="nav-link"
                id="profile-tab"
                href="#profile"
                role="tab"
                aria-controls="profile"
                aria-selected="false"
                >Profile</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                data-mdb-tab-init
                class="nav-link"
                id="messages-tab"
                href="#messages"
                role="tab"
                aria-controls="messages"
                aria-selected="false"
                >Messages</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                data-mdb-tab-init
                class="nav-link"
                id="settings-tab"
                href="#settings"
                role="tab"
                aria-controls="settings"
                aria-selected="false"
                >Settings</a
              >
            </li>
          </ul>

          <!-- Tab panes -->
          <div class="tab-content">
            <div class="tab-pane active" id="home" role="tabpanel" aria-labelledby="home-tab">
              ...
            </div>
            <div class="tab-pane" id="profile" role="tabpanel" aria-labelledby="profile-tab">
              ...
            </div>
            <div class="tab-pane" id="messages" role="tabpanel" aria-labelledby="messages-tab">
              ...
            </div>
            <div class="tab-pane" id="settings" role="tabpanel" aria-labelledby="settings-tab">
              ...
            </div>
          </div>
        
        
    

Via JavaScript

Enable tabbable tabs via JavaScript (each tab needs to be activated individually):

        
            
          const triggerTabList = [].slice.call(document.querySelectorAll('#myTab a'));
          triggerTabList.forEach((triggerEl) => {
            const tabTrigger = new Tab(triggerEl);

            triggerEl.addEventListener('click', (event) => {
              event.preventDefault();
              tabTrigger.show();
            });
          });
        
        
    
        
            
          const triggerTabList = [].slice.call(document.querySelectorAll('#myTab a'));
          triggerTabList.forEach((triggerEl) => {
            const tabTrigger = new mdb.Tab(triggerEl);

            triggerEl.addEventListener('click', (event) => {
              event.preventDefault();
              tabTrigger.show();
            });
          });
        
        
    

You can activate individual tabs in several ways:

        
            
          const triggerEl = document.querySelector('#myTab a[href="#profile"]');
          Tab.getInstance(triggerEl).show(); // Select tab by name

          const triggerFirstTabEl = document.querySelector('#myTab li:first-child a');
          Tab.getInstance(triggerFirstTabEl).show(); // Select first tab
        
        
    
        
            
          const triggerEl = document.querySelector('#myTab a[href="#profile"]');
          mdb.Tab.getInstance(triggerEl).show(); // Select tab by name

          const triggerFirstTabEl = document.querySelector('#myTab li:first-child a');
          mdb.Tab.getInstance(triggerFirstTabEl).show(); // Select first tab
        
        
    

Via jQuery

Note: By default, MDB does not include jQuery and you have to add it to the project on your own.

        
            
          $('.example-class').tab();
        
        
    

Methods

Asynchronous methods and transitions:
All API methods are asynchronous and start a transition. They return to the caller as soon as the transition is started but before it ends. In addition, a method call on a transitioning component will be ignored.

Name Description Example
show Selects the given tab and shows its associated pane. Any other tab that was previously selected becomes unselected and its associated pane is hidden. Returns to the caller before the tab pane has actually been shown (i.e. before the shown.mdb.tab event occurs). instance.show()
dispose Destroys an element’s tab. instance.dispose()
getInstance Static method which allows you to get the tab instance associated to a DOM element. Tab.getInstance(someTabTriggerEl)
getOrCreateInstance Static method which returns the tab instance associated to a DOM element or create a new one in case it wasn't initialized. Tab.getOrCreateInstance(someTabTriggerEl)
        
            
          const someTabTriggerEl = document.querySelector('#someTabTrigger');
          const tab = new Tab(someTabTriggerEl)
          tab.show();
        
        
    
        
            
        const someTabTriggerEl = document.querySelector('#someTabTrigger');
        const tab = new mdb.Tab(someTabTriggerEl)
        tab.show();
      
        
    

Events

When showing a new tab, the events fire in the following order:

  1. hide.mdb.tab (on the current active tab)
  2. show.mdb.tab (on the to-be-shown tab)
  3. hidden.mdb.tab (on the previous active tab, the same one as for the hide.mdb.tab event)
  4. shown.mdb.tab (on the newly-active just-shown tab, the same one as for the show.mdb.tab event)

If no tab was already active, then the hide.mdb.tab and hidden.mdb.tab events will not be fired.

Event type Description
show.mdb.tab This event fires on tab show, but before the new tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
shown.mdb.tab This event fires on tab show after a tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
hide.mdb.tab This event fires when a new tab is to be shown (and thus the previous active tab is to be hidden). Use event.target and event.relatedTarget to target the current active tab and the new soon-to-be-active tab, respectively.
hidden.mdb.tab This event fires after a new tab is shown (and thus the previous active tab is hidden). Use event.target and event.relatedTarget to target the previous active tab and the new active tab, respectively.
        
            
          const tabEl = document.querySelector('a[data-mdb-tab-init]');
          tabEl.addEventListener('shown.mdb.tab', (e) => {
            console.log(e.target) // newly activated tab
            console.log(e.relatedTarget) // previous active tab
          })
        
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, tabs now use local CSS variables for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Tabs CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .nav
        --#{$prefix}nav-link-disabled-color: #{$nav-link-disabled-color};

        // .nav-tabs
        --#{$prefix}nav-tabs-border-width: #{$nav-tabs-border-width};
        --#{$prefix}nav-tabs-border-color: #{$nav-tabs-border-color};
        --#{$prefix}nav-tabs-border-radius: #{$nav-tabs-border-radius};
        --#{$prefix}nav-tabs-link-hover-border-color: #{$nav-tabs-link-hover-border-color};
        --#{$prefix}nav-tabs-link-active-bg: #{$nav-tabs-link-active-bg};
        
        // .nav-tabs
        // .nav-link
        --#{$prefix}nav-tabs-link-font-weight: #{$nav-tabs-link-font-weight};
        --#{$prefix}nav-tabs-link-font-size: #{$nav-tabs-link-font-size};
        --#{$prefix}nav-tabs-link-color: #{$nav-tabs-link-color};
        --#{$prefix}nav-tabs-link-padding-top: #{$nav-tabs-link-padding-top};
        --#{$prefix}nav-tabs-link-padding-bottom: #{$nav-tabs-link-padding-bottom};
        --#{$prefix}nav-tabs-link-padding-x: #{$nav-tabs-link-padding-x};
        --#{$prefix}nav-tabs-link-hover-bgc: #{$nav-tabs-link-hover-bgc};
        --#{$prefix}nav-tabs-link-border-bottom-width: #{$nav-tabs-link-border-bottom-width};
        --#{$prefix}nav-tabs-link-active-color: #{$nav-tabs-link-active-color};
        --#{$prefix}nav-tabs-link-active-border-color: #{$nav-tabs-link-active-border-color};
        
        
    

SCSS variables

        
            
        $nav-link-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
          border-color 0.15s ease-in-out;
        $nav-link-disabled-color: var(--#{$prefix}secondary-color);
        
        $nav-tabs-border-color: var(--#{$prefix}border-color);
        $nav-tabs-border-width: var(--#{$prefix}border-width);
        $nav-tabs-border-radius: var(--#{$prefix}border-radius);
        $nav-tabs-link-hover-border-color: var(--#{$prefix}secondary-bg) var(--#{$prefix}secondary-bg) $nav-tabs-border-color;
        $nav-tabs-link-active-bg: var(--#{$prefix}body-bg);

        $nav-tabs-link-border-bottom-width: 2px;
        $nav-tabs-link-font-weight: 500;
        $nav-tabs-link-font-size: 12px;
        $nav-tabs-link-padding-top: 17px;
        $nav-tabs-link-padding-bottom: 16px;
        $nav-tabs-link-padding-x: 29px;
        $nav-tabs-link-hover-background-color: var(--#{$prefix}highlight-bg-color);
        $nav-tabs-link-active-color: $primary;
        $nav-tabs-link-active-border-color: $primary;

        $nav-tabs-link-color: rgba(0, 0, 0, 0.55);
        $nav-tabs-link-hover-bgc: #f7f7f7;

Tabs

Angular Bootstrap 5 Tabs component

tabs are quasi-navigation components which can highly improve website clarity and increase user experience.

Note: Read the API tab to find all available options and advanced customization


Basic example

Tab 1 content
Tab 2 content
Tab 3 content
        
            
            <mdb-tabs>
              <mdb-tab title="Tab 1">Tab content 1</mdb-tab>
              <mdb-tab title="Tab 2">Tab content 2</mdb-tab>
              <mdb-tab title="Tab 3">Tab content 3</mdb-tab>
            </mdb-tabs>
          
        
    

Fill and justify

Force your tabs contents to extend the full available width using following settings.

Fill

To proportionately fill all available space, use [fill]="true" input. Notice that all horizontal space is occupied, but not every nav item has the same width.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
              <mdb-tabs [fill]="true">
                <mdb-tab title="Tab 1">Tab content 1</mdb-tab>
                <mdb-tab title="Tab 2">Tab content 2</mdb-tab>
                <mdb-tab title="Tab 3">Tab content 3</mdb-tab>
              </mdb-tabs>
            
        
    

Justify

For equal-width elements, use [justified]="true" input. All horizontal space will be occupied by nav links, but unlike the [fill]="true" above, every nav item will be the same width.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
              <mdb-tabs [justified]="true">
                <mdb-tab title="Link">Tab content 1</mdb-tab>
                <mdb-tab title="Very very very very long link">Tab content 2</mdb-tab>
                <mdb-tab title="Another link">Tab content 3</mdb-tab>
              </mdb-tabs>
            
        
    

Vertical

Use [vertical]="true" input to change the layout direction.

Home content
Profile content
Messages content
        
            
            <mdb-tabs [vertical]="true">
              <mdb-tab title="Home">Home content</mdb-tab>
              <mdb-tab title="Profile">Profile content</mdb-tab>
              <mdb-tab title="Messages">Messages content</mdb-tab>
            </mdb-tabs>
          
        
    

Custom title template

If you need to add a title that is more complex than simple string, use ng-template with mdbTabTitle directive.

        
            
            <mdb-tabs>
              <mdb-tab>
                <ng-template mdbTabTitle>
                  <span><i class="fab fa-lg fa-mdb me-2"></i> Tab 1</span>
                </ng-template>
                Tab content 1
              </mdb-tab>
              <mdb-tab>
                <ng-template mdbTabTitle>
                  <span><i class="fab fa-lg fa-mdb me-2"></i> Tab 2</span>
                </ng-template>
                Tab content 2
              </mdb-tab>
              <mdb-tab>
                <ng-template mdbTabTitle>
                  <span><i class="fab fa-lg fa-mdb me-2"></i> Tab 3</span>
                </ng-template>
                Tab content 3
              </mdb-tab>
            </mdb-tabs>
          
        
    

Tabs with icons

Use one of 1541 icons and add it to the tabs. See the icon docs to explore all the available icons.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
            <mdb-tabs>
              <mdb-tab>
                <ng-template mdbTabTitle
                  ><span><i class="fas fa-chart-pie fa-fw me-2"></i>Sales</span></ng-template
                >
                Tab content 1
              </mdb-tab>
              <mdb-tab>
                <ng-template mdbTabTitle
                  ><span><i class="fas fa-chart-line fa-fw me-2"></i>Subscriptions</span></ng-template
                >
                Tab content 2
              </mdb-tab>
              <mdb-tab>
                <ng-template mdbTabTitle
                  ><span><i class="fas fa-cogs fa-fw me-2"></i>Settings</span></ng-template
                >
                Tab content 3
              </mdb-tab>
            </mdb-tabs>
            
        
    

Lazy loading

You can use ng-template with mdbTabContent directive to lazy load tab content. The content will be loaded only when tab is activated.

        
            
            <mdb-tabs>
              <mdb-tab title="Tab 1">
                <ng-template mdbTabContent> Tab content 1 </ng-template>
              </mdb-tab>
              <mdb-tab title="Tab 2">
                <ng-template mdbTabContent> Tab content 2 </ng-template>
              </mdb-tab>
              <mdb-tab title="Tab 3">
                <ng-template mdbTabContent> Tab content 3 </ng-template>
              </mdb-tab>
            </mdb-tabs>
          
        
    

Tabs - API


Import

        
            
          import { MdbTabsModule } from 'mdb-angular-ui-kit/tabs';
          …
          @NgModule ({
            ...
            imports: [MdbTabsModule],
            ...
          })
        
        
    

Inputs

MdbTabComponent

Name Type Default Description
disabled boolean false Disables the specific tab.
title string '' Changes title of the tab.
fade boolean true Defines whether the fade animation on tab change should occur or not.

MdbTabsComponent

Name Type Default Description
fill boolean false Forces tabs content to extend the full available width.
justified boolean false Makes all tabs equal width and forces them to take full available width.
pills boolean false Changes to pills layout.
vertical boolean false Changes to vertical layout.

Outputs

Name Type Description
activeTabChange EventEmitter<MdbTabChange> Event fired when active tab changes.
        
            
              <mdb-tabs (activeTabChange)="onTabChange($event)">
                <mdb-tab title="Tab 1">Tab content 1</mdb-tab>
                <mdb-tab title="Tab 2">Tab content 2</mdb-tab>
                <mdb-tab title="Tab 3">Tab content 3</mdb-tab>
              </mdb-tabs>
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbTabChange } from 'mdb-angular-ui-kit/tabs';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onTabChange(event: MdbTabChange): void {
                console.log(event);
              }
            }            
            
        
    

Methods

Name Description Example
setActiveTab(index: number) Set desired tab as active tabs.setActiveTab(1)
        
            
              <mdb-tabs #tabs>
                <mdb-tab title="Tab 1">Tab content 1</mdb-tab>
                <mdb-tab title="Tab 2">Tab content 2</mdb-tab>
                <mdb-tab title="Tab 3">Tab content 3</mdb-tab>
              </mdb-tabs>
            
        
    
        
            
            import { AfterViewInit, Component, ViewChild } from '@angular/core';
            import { MdbTabsComponent } from 'mdb-angular-ui-kit/tabs';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent implements AfterViewInit {
              @ViewChild('tabs') tabs!: MdbTabsComponent;
            
              ngAfterViewInit(): void {
                setTimeout(() => {
                  this.tabs.setActiveTab(1);
                }, 0);
              }
            }                
            
        
    

Advanced types

MdbTabChange

        
            
          class MdbTabChange {
            index: number;
            tab: MdbTabComponent;
          }
          
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, tabs now use local CSS variables for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Tabs CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .nav
        --#{$prefix}nav-link-disabled-color: #{$nav-link-disabled-color};

        // .nav-tabs
        --#{$prefix}nav-tabs-border-width: #{$nav-tabs-border-width};
        --#{$prefix}nav-tabs-border-color: #{$nav-tabs-border-color};
        --#{$prefix}nav-tabs-border-radius: #{$nav-tabs-border-radius};
        --#{$prefix}nav-tabs-link-hover-border-color: #{$nav-tabs-link-hover-border-color};
        --#{$prefix}nav-tabs-link-active-bg: #{$nav-tabs-link-active-bg};
        
        // .nav-tabs
        // .nav-link
        --#{$prefix}nav-tabs-link-font-weight: #{$nav-tabs-link-font-weight};
        --#{$prefix}nav-tabs-link-font-size: #{$nav-tabs-link-font-size};
        --#{$prefix}nav-tabs-link-color: #{$nav-tabs-link-color};
        --#{$prefix}nav-tabs-link-padding-top: #{$nav-tabs-link-padding-top};
        --#{$prefix}nav-tabs-link-padding-bottom: #{$nav-tabs-link-padding-bottom};
        --#{$prefix}nav-tabs-link-padding-x: #{$nav-tabs-link-padding-x};
        --#{$prefix}nav-tabs-link-hover-bgc: #{$nav-tabs-link-hover-bgc};
        --#{$prefix}nav-tabs-link-border-bottom-width: #{$nav-tabs-link-border-bottom-width};
        --#{$prefix}nav-tabs-link-active-color: #{$nav-tabs-link-active-color};
        --#{$prefix}nav-tabs-link-active-border-color: #{$nav-tabs-link-active-border-color};
        
        
    

SCSS variables

        
            
        $nav-link-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
          border-color 0.15s ease-in-out;
        $nav-link-disabled-color: $gray-600;
        
        $nav-tabs-border-color: $gray-300;
        $nav-tabs-border-width: $border-width;
        $nav-tabs-border-radius: $border-radius;
        $nav-tabs-link-hover-border-color: $gray-200 $gray-200 $nav-tabs-border-color;
        $nav-tabs-link-active-color: $gray-700;
        $nav-tabs-link-active-bg: $body-bg;
        $nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg;

        $nav-tabs-link-border-bottom-width: 2px;
        $nav-tabs-link-font-weight: 500;
        $nav-tabs-link-font-size: 12px;
        $nav-tabs-link-padding-top: 17px;
        $nav-tabs-link-padding-bottom: 16px;
        $nav-tabs-link-padding-x: 29px;
        $nav-tabs-link-hover-background-color: hsl(0, 0%, 96%);
        $nav-tabs-link-active-color: $primary;
        $nav-tabs-link-active-border-color: $primary;

        $nav-tabs-link-color: rgba(0, 0, 0, 0.55);
        $nav-tabs-link-hover-bgc: #f7f7f7;

Tabs

Vue Bootstrap 5 Tabs component

tabs are quasi-navigation components which can highly improve website clarity and increase user experience.

Note: Read the API tab to find all available options and advanced customization


Basic example

Basic tabs are divided into 2 main sections - Tabs navs (containing MDBTabItems) and Tabs content (containing MDBTabPanes).

Use tabId property to connect tab navs with tabs content.

In the example below Tab 1 uses tabId="ex1-1" in the first MDBTabitem element to connect it with the first MDBTabPane which has also tabId="ex1-1".

MDBTabItem has dynamically added id of tab-${tabId} and MDBTabPane is equal to tabId property. Thanks to that proper aria attributes are dynamically added inside those components.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
            <template>
              <MDBTabs v-model="activeTabId1">
                <!-- Tabs navs -->
                <MDBTabNav tabsClasses="mb-3">
                  <MDBTabItem tabId="ex1-1" href="ex1-1">Tab #1</MDBTabItem>
                  <MDBTabItem tabId="ex1-2" href="ex1-2">Tab #2</MDBTabItem>
                  <MDBTabItem tabId="ex1-3" href="ex1-3">Tab #3</MDBTabItem>
                </MDBTabNav>
                <!-- Tabs navs -->
                <!-- Tabs content -->
                <MDBTabContent>
                  <MDBTabPane tabId="ex1-1">Content #1</MDBTabPane>
                  <MDBTabPane tabId="ex1-2">Content #2</MDBTabPane>
                  <MDBTabPane tabId="ex1-3">Content #3</MDBTabPane>
                </MDBTabContent>
                <!-- Tabs content -->
              </MDBTabs>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                },
                setup() {
                  const activeTabId1 = ref('ex1-1');

                  return {
                    activeTabId1,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const activeTabId1 = ref('ex1-1');
            </script>
          
        
    

Fill and justify

Force your MDBTabNav's contents to extend the full available width one of two modifier properties.

Fill

To proportionately fill all available space with your MDBTabItems, use fill. Notice that all horizontal space is occupied, but not every nav item has the same width.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
              <template>
                <MDBTabs v-model="activeTabId2">
                  <!-- Tabs navs -->
                  <MDBTabNav fill tabsClasses="mb-3">
                    <MDBTabItem tabId="ex2-1" href="ex2-1">Link</MDBTabItem>
                    <MDBTabItem tabId="ex2-2" href="ex2-2">Very very very very long link</MDBTabItem>
                    <MDBTabItem tabId="ex2-3" href="ex2-3">Another link</MDBTabItem>
                  </MDBTabNav>
                  <!-- Tabs navs -->
                  <!-- Tabs content -->
                  <MDBTabContent>
                    <MDBTabPane tabId="ex2-1">Tab 1 content</MDBTabPane>
                    <MDBTabPane tabId="ex2-2">Tab 2 content</MDBTabPane>
                    <MDBTabPane tabId="ex2-3">Tab 3 content</MDBTabPane>
                  </MDBTabContent>
                  <!-- Tabs content -->
                </MDBTabs>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBTabs,
                    MDBTabNav,
                    MDBTabContent,
                    MDBTabItem,
                    MDBTabPane,
                  },
                  setup() {
                    const activeTabId2 = ref('ex2-1');

                    return {
                      activeTabId2,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const activeTabId2 = ref('ex2-1');
              </script>
            
        
    

Justify

For equal-width elements, use justify. All horizontal space will be occupied by nav links, but unlike the fill above, every nav item will be the same width.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
              <template>
                <MDBTabs v-model="activeTabId3">
                  <!-- Tabs navs -->
                  <MDBTabNav justify tabsClasses="mb-3">
                    <MDBTabItem tabId="ex3-1" href="ex3-1">Link</MDBTabItem>
                    <MDBTabItem tabId="ex3-2" href="ex3-2">Very very very very long link</MDBTabItem>
                    <MDBTabItem tabId="ex3-3" href="ex3-3">Another link</MDBTabItem>
                  </MDBTabNav>
                  <!-- Tabs navs -->
                  <!-- Tabs content -->
                  <MDBTabContent>
                    <MDBTabPane tabId="ex3-1">Tab 1 content</MDBTabPane>
                    <MDBTabPane tabId="ex3-2">Tab 2 content</MDBTabPane>
                    <MDBTabPane tabId="ex3-3">Tab 3 content</MDBTabPane>
                  </MDBTabContent>
                  <!-- Tabs content -->
                </MDBTabs>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBTabs,
                    MDBTabNav,
                    MDBTabContent,
                    MDBTabItem,
                    MDBTabPane,
                  },
                  setup() {
                    const activeTabId3 = ref('ex3-1');

                    return {
                      activeTabId3,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const activeTabId3 = ref('ex3-1');
              </script>
            
        
    

Vertical

Stack your navigation by changing the flex item direction with the vertical property. Need to stack them on some viewports but not others? Use the responsive versions (e.g., vertical="lg: which will make tab nav horizontal on large screens).

For proper layout, you can also use col property on MDBTabNav and MDBTabContent to define how much of the grid space these elements take.

Home content
Profile content
Messages content
        
            
            <template>
              <MDBTabs v-model="activeTabId4" vertical>
                <!-- Tabs navs -->
                <MDBTabNav tabsClasses="mb-3 text-center">
                  <MDBTabItem :wrap="false" tabId="ex4-1" href="ex4-1">Home</MDBTabItem>
                  <MDBTabItem :wrap="false" tabId="ex4-2" href="ex4-2">Profile</MDBTabItem>
                  <MDBTabItem :wrap="false" tabId="ex4-3" href="ex4-3">Messages</MDBTabItem>
                </MDBTabNav>
                <!-- Tabs navs -->
                <!-- Tabs content -->
                <MDBTabContent>
                  <MDBTabPane tabId="ex4-1">Tab 1 content</MDBTabPane>
                  <MDBTabPane tabId="ex4-2">Tab 2 content</MDBTabPane>
                  <MDBTabPane tabId="ex4-3">Tab 3 content</MDBTabPane>
                </MDBTabContent>
                <!-- Tabs content -->
              </MDBTabs>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                },
                setup() {
                  const activeTabId4 = ref('ex4-1');

                  return {
                    activeTabId4,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const activeTabId4 = ref('ex4-1');
            </script>
          
        
    

Tabs with icons

Use one of 1541 icons and add it to the tabs. See the icon docs to explore all the available icons.

Tab 1 content
Tab 2 content
Tab 3 content
        
            
            <template>
              <MDBTabs v-model="activeTabId5">
                <!-- Tabs navs -->
                <MDBTabNav tabsClasses="mb-3">
                  <MDBTabItem tabId="ex5-1" href="ex5-1">
                    <i class="fas fa-chart-pie fa-fw me-2"></i>Sales
                  </MDBTabItem>
                  <MDBTabItem tabId="ex5-2" href="ex5-2">
                    <i class="fas fa-chart-line fa-fw me-2"></i>Subscriptions
                  </MDBTabItem>
                  <MDBTabItem tabId="ex5-3" href="ex5-3">
                    <i class="fas fa-cogs fa-fw me-2"></i>Settings
                  </MDBTabItem>
                </MDBTabNav>
                <!-- Tabs navs -->
                <!-- Tabs content -->
                <MDBTabContent>
                  <MDBTabPane tabId="ex5-1">Tab 1 content</MDBTabPane>
                  <MDBTabPane tabId="ex5-2">Tab 2 content</MDBTabPane>
                  <MDBTabPane tabId="ex5-3">Tab 3 content</MDBTabPane>
                </MDBTabContent>
                <!-- Tabs content -->
              </MDBTabs>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                },
                setup() {
                  const activeTabId5 = ref('ex5-1');

                  return {
                    activeTabId5,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const activeTabId5 = ref('ex5-1');
            </script>
          
        
    

Tabs with buttons

Dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices, require role="tablist", role="tab", role="tabpanel", and additional aria- attributes in order to convey their structure, functionality and current state to users of assistive technologies (such as screen readers). As a best practice, we recommend using <button> elements for the tabs, as these are controls that trigger a dynamic change, rather than links that navigate to a new page or location.

Tab 1 content.
Tab 2 content
Tab 3 content
        
            
          <template>
            <MDBTabs v-model="activeTabId6">
              <!-- Tabs navs -->
              <MDBTabNav tabsClasses="mb-3 text-center">
                <MDBTabItem tag="button" :wrap="false" tabId="ex6-1"
                  >Home</MDBTabItem
                >
                <MDBTabItem tag="button" :wrap="false" tabId="ex6-2"
                  >Profile</MDBTabItem
                >
                <MDBTabItem tag="button" :wrap="false" tabId="ex6-3"
                  >Messages</MDBTabItem
                >
              </MDBTabNav>
              <!-- Tabs navs -->
  
              <!-- Tabs content -->
              <MDBTabContent>
                <MDBTabPane tabId="ex6-1">Tab 1 content</MDBTabPane>
                <MDBTabPane tabId="ex6-2">Tab 2 content</MDBTabPane>
                <MDBTabPane tabId="ex6-3">Tab 3 content</MDBTabPane>
              </MDBTabContent>
              <!-- Tabs content -->
            </MDBTabs>
          </template>
        
        
    
        
            
          <script>
            import {
                MDBTabs,
                MDBTabNav,
                MDBTabContent,
                MDBTabItem,
                MDBTabPane,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBTabs,
                  MDBTabNav,
                  MDBTabContent,
                  MDBTabItem,
                  MDBTabPane,
                },
                setup() {
                  const activeTabId6 = ref('ex6-1');

                  return {
                    activeTabId5,
                  };
                },
              };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import {
              MDBTabs,
              MDBTabNav,
              MDBTabContent,
              MDBTabItem,
              MDBTabPane,
            } from 'mdb-vue-ui-kit';
            import { ref } from 'vue';

            const activeTabId6 = ref('ex6-1');
          </script>
        
        
    

Tabs - API


Import

        
            
        <script>
          import {
            MDBTabs,
            MDBTabNav,
            MDBTabContent,
            MDBTabItem,
            MDBTabPane
          } from 'mdb-vue-ui-kit';
        </script>
      
        
    

Properties

MDBTabs

Name Type Default Description Example
tag String 'div' Defines tag of the MDBTabs element <MDBTabs tag="section" />
vertical Boolean | String false Changes tabs display to horizontal at all breakpoints when no value is passed and to a specific breakpoint when a value is passed. Use (sm | md | lg | xl | xxl ) values <MDBTabs vertical /> <MDBTabs vertical="md" />
v-model String Indicate active tab id <MDBTabs v-model="id-1" />

MDBTabNav

Name Type Default Description Example
tag String 'ul' Defines tag of the MDBTabNav element <MDBTabNav tag="div" />
pills Boolean false Changes the tabs into pills. <MDBTabNav pills />
justify Boolean false Make MDBTabItems of equal width <MDBTabNav justify />
fill Boolean false Make MDBTabItems fill all available space. <MDBTabNav fill />
col String '3' Define grid column class for vertically placed MDBTabNav component <MDBTabNav col="6" />
tabsClasses String Adds custom classes to element <MDBTabNav tabsClasses="mb-3" />

MDBTabContent

Name Type Default Description Example
tag String 'div' Defines tag of the MDBTabContent element <MDBTabContent tag="section" />
col String '9' Define grid column class for vertically placed MDBTabContent component <MDBTabContent col="6" />
contentClasses String Adds custom classes to element <MDBTabNav contentClasses="mb-3" />

MDBTabItem

Name Type Default Description Example
tag String 'a' Defines tag of the MDBTabItem element <MDBTabItem tag="div" />
tabId String Define id that connects MDBTabItem with MDBTabPane. <MDBTabItem tabId="id-1" />

Events

When showing a new tab, the events are fired on MDBTabs in the following order:

  1. hide (on the current active tab)
  2. show (on the to-be-shown tab)
  3. hidden (on the previous active tab, the same one as for the hide event)
  4. shown (on the newly-active just-shown tab, the same one as for the show event)

If no tab was already active, then the hide and hidden events will not be fired.

Event type Description
show This event fires on tab show, but before the new tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
shown This event fires on tab show after a tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
hide This event fires when a new tab is to be shown (and thus the previous active tab is to be hidden). Use event.target and event.relatedTarget to target the current active tab and the new soon-to-be-active tab, respectively.
hidden This event fires after a new tab is shown (and thus the previous active tab is hidden). Use event.target and event.relatedTarget to target the previous active tab and the new active tab, respectively.
        
            
          <template>
            <MDBTabs v-model="activeTabId" @show="doSomething">
              ...
            </MDBTabs>
          </template>
        
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, tabs now use local CSS variables for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Tabs CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .nav
        --#{$prefix}nav-link-disabled-color: #{$nav-link-disabled-color};

        // .nav-tabs
        --#{$prefix}nav-tabs-border-width: #{$nav-tabs-border-width};
        --#{$prefix}nav-tabs-border-color: #{$nav-tabs-border-color};
        --#{$prefix}nav-tabs-border-radius: #{$nav-tabs-border-radius};
        --#{$prefix}nav-tabs-link-hover-border-color: #{$nav-tabs-link-hover-border-color};
        --#{$prefix}nav-tabs-link-active-bg: #{$nav-tabs-link-active-bg};
        
        // .nav-tabs
        // .nav-link
        --#{$prefix}nav-tabs-link-font-weight: #{$nav-tabs-link-font-weight};
        --#{$prefix}nav-tabs-link-font-size: #{$nav-tabs-link-font-size};
        --#{$prefix}nav-tabs-link-color: #{$nav-tabs-link-color};
        --#{$prefix}nav-tabs-link-padding-top: #{$nav-tabs-link-padding-top};
        --#{$prefix}nav-tabs-link-padding-bottom: #{$nav-tabs-link-padding-bottom};
        --#{$prefix}nav-tabs-link-padding-x: #{$nav-tabs-link-padding-x};
        --#{$prefix}nav-tabs-link-hover-bgc: #{$nav-tabs-link-hover-bgc};
        --#{$prefix}nav-tabs-link-border-bottom-width: #{$nav-tabs-link-border-bottom-width};
        --#{$prefix}nav-tabs-link-active-color: #{$nav-tabs-link-active-color};
        --#{$prefix}nav-tabs-link-active-border-color: #{$nav-tabs-link-active-border-color};
        
        
    

SCSS variables

        
            
        $nav-link-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
          border-color 0.15s ease-in-out;
        $nav-link-disabled-color: $gray-600;
        
        $nav-tabs-border-color: $gray-300;
        $nav-tabs-border-width: $border-width;
        $nav-tabs-border-radius: $border-radius;
        $nav-tabs-link-hover-border-color: $gray-200 $gray-200 $nav-tabs-border-color;
        $nav-tabs-link-active-color: $gray-700;
        $nav-tabs-link-active-bg: $body-bg;
        $nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg;

        $nav-tabs-link-border-bottom-width: 2px;
        $nav-tabs-link-font-weight: 500;
        $nav-tabs-link-font-size: 12px;
        $nav-tabs-link-padding-top: 17px;
        $nav-tabs-link-padding-bottom: 16px;
        $nav-tabs-link-padding-x: 29px;
        $nav-tabs-link-hover-background-color: hsl(0, 0%, 96%);
        $nav-tabs-link-active-color: $primary;
        $nav-tabs-link-active-border-color: $primary;

        $nav-tabs-link-color: rgba(0, 0, 0, 0.55);
        $nav-tabs-link-hover-bgc: #f7f7f7;

React Bootstrap Tabs
React Tabs - Bootstrap 4 & Material Design
React Bootstrap tabs are components which separate content placed in the same wrapper, but in the separate pane. Only one pane can be displayed at the time.
Bootstrap tabs are components which separate content placed in the same wrapper, but in the separate pane. Only
one pane can be displayed at the time. Tabs available in MDB share general markup and styles, as well as the .nav
ed
element managing the active and
disabled states.
MDB Tabs are compatible with ReactRouter, meaning that <NavLink>
components inside can be used
both for one-page tabs as well as general routing solution for main navigation. Make sure to include the wrapping
<BrowserRouter>
.
If you are using navs to provide a navigation bar, be sure to add a approptiate role
attributes to
the <NavLinks>
(role="tab"
).
Default tabs
Default styling for Bootstrap Tabs component
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.
Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias.
Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias.
Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias.
import React, { Component } from "react";
import { MDBContainer, MDBTabPane, MDBTabContent, MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
class TabsDefault extends Component {
state = {
activeItem: "1"
};
toggle = tab => e => {
if (this.state.activeItem !== tab) {
this.setState({
activeItem: tab
});
}
};
render() {
return (
<MDBContainer>
<MDBNav className="nav-tabs mt-5">
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItem === "1"} onClick={this.toggle("1")} role="tab" >
Home
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItem === "2"} onClick={this.toggle("2")} role="tab" >
Profile
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItem === "3"} onClick={this.toggle("3")} role="tab" >
Profile
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent activeItem={this.state.activeItem} >
<MDBTabPane tabId="1" role="tabpanel">
<p className="mt-2">
Lorem ipsum dolor sit amet, consectetur adipisicing elit.
Nihil odit magnam minima, soluta doloribus reiciendis
molestiae placeat unde eos molestias. Quisquam aperiam,
pariatur. Tempora, placeat ratione porro voluptate odit
minima.
</p>
</MDBTabPane>
<MDBTabPane tabId="2" role="tabpanel">
<p className="mt-2">
Quisquam aperiam, pariatur. Tempora, placeat ratione porro
voluptate odit minima. Lorem ipsum dolor sit amet,
consectetur adipisicing elit. Nihil odit magnam minima,
soluta doloribus reiciendis molestiae placeat unde eos
molestias.
</p>
<p>
Quisquam aperiam, pariatur. Tempora, placeat ratione porro
voluptate odit minima. Lorem ipsum dolor sit amet,
consectetur adipisicing elit. Nihil odit magnam minima,
soluta doloribus reiciendis molestiae placeat unde eos
molestias.
</p>
</MDBTabPane>
<MDBTabPane tabId="3" role="tabpanel">
<p className="mt-2">
Quisquam aperiam, pariatur. Tempora, placeat ratione porro
voluptate odit minima. Lorem ipsum dolor sit amet,
consectetur adipisicing elit. Nihil odit magnam minima,
soluta doloribus reiciendis molestiae placeat unde eos
molestias.
</p>
</MDBTabPane>
</MDBTabContent>
</MDBContainer>
);
}
}
export default TabsDefault;
Material tabs MDB Pro component
Material Design styling for Bootstrap Tabs component
Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.
Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.
Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.
import React, { Component } from "react";
import { MDBContainer, MDBRow, MDBCol, MDBTabPane, MDBTabContent, MDBNav, MDBNavItem, MDBNavLink, MDBIcon } from
"mdbreact";
class TabsMaterial extends Component {
state = {
activeItem: "1"
}
toggle = tab => () => {
if (this.state.activeItem !== tab) {
this.setState({
activeItem: tab
});
}
}
render() {
return (
<MDBContainer>
<MDBNav tabs>
<MDBNavItem>
<MDBNavLink
link
to="#"
active={this.state.activeItem === "1"}
onClick={this.toggle("1")}
role="tab"
>
<MDBIcon icon="user" /> Profile
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink
link
to="#"
active={this.state.activeItem === "2"}
onClick={this.toggle("2")}
role="tab"
>
<MDBIcon icon="heart" /> Follow
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink
link
to="#"
active={this.state.activeItem === "3"}
onClick={this.toggle("3")}
role="tab"
>
<MDBIcon icon="envelope" /> Contact
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent
className="card"
activeItem={this.state.activeItem}
>
<MDBTabPane tabId="1" role="tabpanel">
<p className="mt-2">
Raw denim you probably haven't heard of them jean shorts
Austin. Nesciunt tofu stumptown aliqua, retro synth master
cleanse. Mustache cliche tempor, williamsburg carles vegan
helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher
synth. Cosby sweater eu banh mi, qui irure terry richardson
ex squid. Aliquip placeat salvia cillum iphone. Seitan
aliquip quis cardigan american apparel, butcher voluptate
nisi qui.
</p>
</MDBTabPane>
<MDBTabPane tabId="2" role="tabpanel">
<p className="mt-2">
Food truck fixie locavore, accusamus mcsweeney's marfa nulla
single-origin coffee squid. Exercitation +1 labore velit,
blog sartorial PBR leggings next level wes anderson artisan
four loko farm-to-table craft beer twee. Qui photo booth
letterpress, commodo enim craft beer mlkshk aliquip jean
shorts ullamco ad vinyl cillum PBR. Homo nostrud organic,
assumenda labore aesthetic magna delectus mollit. Keytar
helvetica VHS salvia yr, vero magna velit sapiente labore
stumptown. Vegan fanny pack odio cillum wes anderson 8-bit,
sustainable jean shorts beard ut DIY ethical culpa terry
richardson biodiesel. Art party scenester stumptown, tumblr
butcher vero sint qui sapiente accusamus tattooed echo park.
</p>
</MDBTabPane>
<MDBTabPane tabId="3" role="tabpanel">
<p className="mt-2">
Etsy mixtape wayfarers, ethical wes anderson tofu before
they sold out mcsweeney's organic lomo retro fanny pack
lo-fi farm-to-table readymade. Messenger bag gentrify
pitchfork tattooed craft beer, iphone skateboard locavore
carles etsy salvia banksy hoodie helvetica. DIY synth PBR
banksy irony. Leggings gentrify squid 8-bit cred pitchfork.
Williamsburg banh mi whatever gluten-free, carles pitchfork
biodiesel fixie etsy retro mlkshk vice blog. Scenester cred
you probably haven't heard of them, vinyl craft beer blog
stumptown. Pitchfork sustainable tofu synth chambray yr.
</p>
</MDBTabPane>
</MDBTabContent>
</MDBContainer>
);
}
}
export default TabsMaterial;
Tabs with dropdown MDB Pro component
Add dropdown menus with a little extra HTML and the dropdowns React plugin.
import React, { Component } from "react";
import { MDBContainer, MDBNav, MDBNavItem, MDBNavLink, MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdbreact";
class TabsDropdown extends Component {
render() {
return (
<MDBContainer>
<MDBNav tabs>
<MDBNavItem>
<MDBNavLink link active to="#!">Active</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBDropdown>
<MDBDropdownToggle nav caret color="default">Dropdown</MDBDropdownToggle>
<MDBDropdownMenu color="default">
<MDBDropdownItem>Action</MDBDropdownItem>
<MDBDropdownItem>Another Action</MDBDropdownItem>
<MDBDropdownItem>Something else here</MDBDropdownItem>
<MDBDropdownItem divider />
<MDBDropdownItem>Separated link</MDBDropdownItem>
</MDBDropdownMenu>
</MDBDropdown>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#!">Link</MDBNavLink>
</MDBNavItem>
<MDBNavItem className='disabled'>
<MDBNavLink link disabled to="#!">Disabled</MDBNavLink>
</MDBNavItem>
</MDBNav>
</MDBContainer>
);
}
}
export default TabsDropdown;
Tabs justified MDB Pro component
Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.
Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.
Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.
import React, { Component } from "react";
import { MDBContainer, MDBRow, MDBCol, MDBTabPane, MDBTabContent, MDBNav, MDBNavItem, MDBNavLink, MDBIcon } from
"mdbreact";
class TabsJustified extends Component {
state = {
activeItemJustified: "1"
}
toggleJustified = tab => e => {
if (this.state.activeItemJustified !== tab) {
this.setState({
activeItemJustified: tab
});
}
};
render() {
return (
<MDBContainer>
<MDBNav tabs className="nav-justified" color='indigo'>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemJustified === "1"} onClick={this.toggleJustified("1")} role="tab" >
<MDBIcon icon="user" /> Profile
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemJustified === "2"} onClick={this.toggleJustified("2")} role="tab" >
<MDBIcon icon="heart" /> Follow
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemJustified === "3"} onClick={this.toggleJustified("3")} role="tab" >
<MDBIcon icon="envelope" /> Contact
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent
className="card"
activeItem={this.state.activeItemJustified}
>
<MDBTabPane tabId="1" role="tabpanel">
<p className="mt-2">
Raw denim you probably haven't heard of them jean shorts
Austin. Nesciunt tofu stumptown aliqua, retro synth master
cleanse. Mustache cliche tempor, williamsburg carles vegan
helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher
synth. Cosby sweater eu banh mi, qui irure terry richardson
ex squid. Aliquip placeat salvia cillum iphone. Seitan
aliquip quis cardigan american apparel, butcher voluptate
nisi qui.
</p>
</MDBTabPane>
<MDBTabPane tabId="2" role="tabpanel">
<p className="mt-2">
Food truck fixie locavore, accusamus mcsweeney's marfa nulla
single-origin coffee squid. Exercitation +1 labore velit,
blog sartorial PBR leggings next level wes anderson artisan
four loko farm-to-table craft beer twee. Qui photo booth
letterpress, commodo enim craft beer mlkshk aliquip jean
shorts ullamco ad vinyl cillum PBR. Homo nostrud organic,
assumenda labore aesthetic magna delectus mollit. Keytar
helvetica VHS salvia yr, vero magna velit sapiente labore
stumptown. Vegan fanny pack odio cillum wes anderson 8-bit,
sustainable jean shorts beard ut DIY ethical culpa terry
richardson biodiesel. Art party scenester stumptown, tumblr
butcher vero sint qui sapiente accusamus tattooed echo park.
</p>
</MDBTabPane>
<MDBTabPane tabId="3" role="tabpanel">
<p className="mt-2">
Etsy mixtape wayfarers, ethical wes anderson tofu before
they sold out mcsweeney's organic lomo retro fanny pack
lo-fi farm-to-table readymade. Messenger bag gentrify
pitchfork tattooed craft beer, iphone skateboard locavore
carles etsy salvia banksy hoodie helvetica. DIY synth PBR
banksy irony. Leggings gentrify squid 8-bit cred pitchfork.
Williamsburg banh mi whatever gluten-free, carles pitchfork
biodiesel fixie etsy retro mlkshk vice blog. Scenester cred
you probably haven't heard of them, vinyl craft beer blog
stumptown. Pitchfork sustainable tofu synth chambray yr.
</p>
</MDBTabPane>
</MDBTabContent>
</MDBContainer>
);
}
}
export default TabsJustified;
Pills within tabs MDB Pro component
Panel 1
Panel 2
Panel 3
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.
import React, { Component } from "react";
import {
MDBContainer,
MDBTabPane,
MDBTabContent,
MDBNav,
MDBNavItem,
MDBNavLink,
MDBRow,
MDBCol,
MDBBtn,
MDBCardBody,
MDBCardTitle,
MDBCardText,
MDBIcon,
} from "mdbreact";
class PillsWithinTheTabs extends Component {
state = {
activeItemOuterTabs: "1",
activeItemInnerPills: "1",
};
toggleOuterTabs = tab => e => {
if (this.state.activeItemOuterTabs2 !== tab) {
this.setState({
activeItemOuterTabs: tab
});
}
};
toggleInnerPills = tab => e => {
if (this.state.activeItemInnerPills !== tab) {
this.setState({
activeItemInnerPills: tab
});
}
};
render() {
return (
<MDBContainer>
<h2 className="mt-5">Pills within the tabs</h2>
<MDBNav tabs className="nav-justified" color="primary">
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemOuterTabs === "1"} onClick={this.toggleOuterTabs("1")} role="tab" >
<MDBIcon icon="user" /> Profile
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemOuterTabs === "2"} onClick={this.toggleOuterTabs("2")} role="tab" >
<MDBIcon icon="heart" /> Follow
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent
className="card mb-5"
activeItem={this.state.activeItemOuterTabs}
>
<MDBTabPane tabId="1" role="tabpanel">
<MDBRow>
<MDBCol md="3">
<MDBNav pills color="primary" className="flex-column">
<MDBNavItem>
<MDBNavLink link to="#" active={ this.state.activeItemInnerPills === "1"} onClick={this.toggleInnerPills("1")} >
Downloads <MDBIcon icon="download" className="ml-2" />
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={ this.state.activeItemInnerPills === "2"} onClick={this.toggleInnerPills("2")} >
Orders & invoices
<MDBIcon icon="file-alt" className="ml-2" />
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={ this.state.activeItemInnerPills === "3"} onClick={this.toggleInnerPills("3")} >
Billing Details
<MDBIcon icon="address-card" className="ml-2" />
</MDBNavLink>
</MDBNavItem>
</MDBNav>
</MDBCol>
<MDBCol md="9">
<MDBTabContent activeItem={this.state.activeItemInnerPills}>
<MDBTabPane tabId="1">
<h5>Panel 1</h5>
</MDBTabPane>
<MDBTabPane tabId="2">
<h5>Panel 2</h5>
</MDBTabPane>
<MDBTabPane tabId="3">
<h5>Panel 3</h5>
</MDBTabPane>
</MDBTabContent>
</MDBCol>
</MDBRow>
</MDBTabPane>
<MDBTabPane tabId="2" role="tabpanel">
<MDBRow>
<MDBCol md="6">
<MDBCardBody>
<MDBCardTitle>Special Title Treatment</MDBCardTitle>
<MDBCardText>
With supporting text below as a natural lead-in to
additional content.
</MDBCardText>
<MDBBtn>Go somewhere</MDBBtn>
</MDBCardBody>
</MDBCol>
<MDBCol md="6">
<MDBCardBody>
<MDBCardTitle>Special Title Treatment</MDBCardTitle>
<MDBCardText>
With supporting text below as a natural lead-in to
additional content.
</MDBCardText>
<MDBBtn>Go somewhere</MDBBtn>
</MDBCardBody>
</MDBCol>
</MDBRow>
</MDBTabPane>
</MDBTabContent>
</MDBContainer>
);
}
}
export default PillsWithinTheTabs
Classic tabs MDB Pro component
With border
Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.
Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?
At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.
Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
import React, { Component } from "react";
import { MDBContainer, MDBTabPane, MDBTabContent, MDBNav, MDBNavItem, MDBNavLink, MDBIcon } from "mdbreact";
class TabsClassic1 extends Component {
state = {
activeItemClassicTabs1: "1"
};
toggleClassicTabs1 = tab => () => {
if (this.state.activeItemClassicTabs1 !== tab) {
this.setState({
activeItemClassicTabs2: tab
});
}
};
render() {
return (
<MDBContainer className="classic-tabs">
<MDBNav classicTabs color="orange" className="mt-5">
<MDBNavItem>
<MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "1"} onClick={this.toggleClassicTabs1("1")} >
<MDBIcon icon="user" size="2x" />
<br />
Profile
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "2"} onClick={this.toggleClassicTabs1("2")} >
<MDBIcon icon="heart" size="2x" />
<br />
Follow
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "3"} onClick={this.toggleClassicTabs1("3")} >
<MDBIcon icon="envelope" size="2x" />
<br />
Contact
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={ this.state.activeItemClassicTabs1 === "4"} onClick={this.toggleClassicTabs1("4")} >
<MDBIcon icon="star" size="2x" />
<br />
Be Awesome
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent
className="card mb-5"
activeItem={this.state.activeItemClassicTabs2}
>
<MDBTabPane tabId="1">
<p>
Sed ut perspiciatis unde omnis iste natus error sit voluptatem
accusantium doloremque laudantium, totam rem aperiam, eaque ipsa
quae ab illo inventore veritatis et quasi architecto beatae vitae
dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit
aspernatur aut odit aut fugit, sed quia consequuntur magni dolores
eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam
est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci
velit, sed quia non numquam eius modi tempora incidunt ut labore
et dolore magnam aliquam quaerat voluptatem.
</p>
</MDBTabPane>
<MDBTabPane tabId="2">
<p>
Ut enim ad minima veniam, quis nostrum exercitationem ullam
corporis suscipit laboriosam, nisi ut aliquid ex ea commodi
consequatur? Quis autem vel eum iure reprehenderit qui in ea
voluptate velit esse quam nihil molestiae consequatur, vel illum
qui dolorem eum fugiat quo voluptas nulla pariatur?
</p>
</MDBTabPane>
<MDBTabPane tabId="3">
<p>
At vero eos et accusamus et iusto odio dignissimos ducimus qui
blanditiis praesentium voluptatum deleniti atque corrupti quos
dolores et quas molestias excepturi sint occaecati cupiditate non
provident, similique sunt in culpa qui officia deserunt mollitia
animi, id est laborum et dolorum fuga. Et harum quidem rerum
facilis est et expedita distinctio. Nam libero tempore, cum soluta
nobis est eligendi optio cumque nihil impedit quo minus id quod
maxime placeat facere possimus, omnis voluptas assumenda est,
omnis dolor repellendus.
</p>
</MDBTabPane>
<MDBTabPane tabId="4">
<p>
Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
enim ad minim veniam, quis nostrud exercitation ullamco laboris
nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu fugiat
nulla pariatur. Excepteur sint occaecat cupidatat non proident,
sunt in culpa qui officia deserunt mollit anim id est laborum.
</p>
</MDBTabPane>
</MDBTabContent>
</MDBContainer>
);
}
}
export default TabsClassic1;
With shadow
Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.
Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?
At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.
Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
import React, { Component } from "react";
import { MDBContainer, MDBTabPane, MDBTabContent, MDBNav, MDBNavItem, MDBNavLink, } from "mdbreact";
class TabsClassic2 extends Component {
state = {
activeItemClassicTabs2: "1",
}
toggleClassicTabs2 = tab => () => {
if (this.state.activeItemClassicTabs2 !== tab) {
this.setState({
activeItemClassicTabs2: tab
});
}
}
render() {
return (
<MDBContainer>
<div className="classic-tabs">
<MDBNav classicTabs color="cyan">
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "1"} onClick={this.toggleClassicTabs2("1")}>
Profile
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "2"} onClick={this.toggleClassicTabs2("2")}>
Follow
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "3"} onClick={this.toggleClassicTabs2("3")}>
Contact
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs2 === "4"} onClick={this.toggleClassicTabs2("4")}>
Be Awesome
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent
className="card"
activeItem={this.state.activeItemClassicTabs1}
>
<MDBTabPane tabId="1">
<p>
Sed ut perspiciatis unde omnis iste natus error sit voluptatem
accusantium doloremque laudantium, totam rem aperiam, eaque ipsa
quae ab illo inventore veritatis et quasi architecto beatae
vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia
voluptas sit aspernatur aut odit aut fugit, sed quia
consequuntur magni dolores eos qui ratione voluptatem sequi
nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci velit, sed quia non numquam eius
modi tempora incidunt ut labore et dolore magnam aliquam quaerat
voluptatem.
</p>
</MDBTabPane>
<MDBTabPane tabId="2">
<p>
Ut enim ad minima veniam, quis nostrum exercitationem ullam
corporis suscipit laboriosam, nisi ut aliquid ex ea commodi
consequatur? Quis autem vel eum iure reprehenderit qui in ea
voluptate velit esse quam nihil molestiae consequatur, vel illum
qui dolorem eum fugiat quo voluptas nulla pariatur?
</p>
</MDBTabPane>
<MDBTabPane tabId="3">
<p>
At vero eos et accusamus et iusto odio dignissimos ducimus qui
blanditiis praesentium voluptatum deleniti atque corrupti quos
dolores et quas molestias excepturi sint occaecati cupiditate
non provident, similique sunt in culpa qui officia deserunt
mollitia animi, id est laborum et dolorum fuga. Et harum quidem
rerum facilis est et expedita distinctio. Nam libero tempore,
cum soluta nobis est eligendi optio cumque nihil impedit quo
minus id quod maxime placeat facere possimus, omnis voluptas
assumenda est, omnis dolor repellendus.
</p>
</MDBTabPane>
<MDBTabPane tabId="4">
<p>
Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
enim ad minim veniam, quis nostrud exercitation ullamco laboris
nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
in reprehenderit in voluptate velit esse cillum dolore eu fugiat
nulla pariatur. Excepteur sint occaecat cupidatat non proident,
sunt in culpa qui officia deserunt mollit anim id est laborum.
</p>
</MDBTabPane>
</MDBTabContent>
</div>
</MDBContainer>
);
}
}
export default TabsClassic2;
Color options:
cyan
orange
grey
pink
green
primary
Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.
Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?
At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus.
Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
import React, { Component } from "react";
import { MDBContainer, MDBTabPane, MDBTabContent, MDBNav, MDBNavItem, MDBNavLink, MDBIcon } from "mdbreact";
class TabsPage extends Component {
state = {
activeItemClassicTabs3: "1"
}
toggleClassicTabs3 = tab => () => {
if (this.state.activeItemClassicTabs3 !== tab) {
this.setState({
activeItemClassicTabs3: tab
});
}
}
render() {
return (
<MDBContainer>
<div className="classic-tabs">
<MDBNav classicTabs color="orange" className="mt-5">
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="1"} onClick={this.toggleClassicTabs3("1")}>
<MDBIcon icon="user" size="2x" />
<br />
Profile
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="2"} onClick={this.toggleClassicTabs3("2")}>
<MDBIcon icon="heart" size="2x" />
<br />
Follow
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="3"} onClick={this.toggleClassicTabs3("3")}>
<MDBIcon icon="envelope" size="2x" />
<br />
Contact
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink link to="#" active={this.state.activeItemClassicTabs3==="4"} onClick={this.toggleClassicTabs3("4")}>
<MDBIcon icon="star" size="2x" />
<br />
Be Awesome
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent className="card mb-5" activeItem={this.state.activeItemClassicTabs3}>
<MDBTabPane tabId="1">
<p>
Lorem ipsum dolor sit amet, consectetur adipisicing
elit. Nihil odit magnam minima, soluta doloribus
reiciendis molestiae placeat unde eos molestias.
Quisquam aperiam, pariatur. Tempora, placeat ratione
porro voluptate odit minima.
</p>
</MDBTabPane>
<MDBTabPane tabId="2">
<p>
Quisquam aperiam, pariatur. Tempora, placeat ratione
porro voluptate odit minima. Lorem ipsum dolor sit amet,
consectetur adipisicing elit. Nihil odit magnam minima,
soluta doloribus reiciendis molestiae placeat unde eos
molestias.
</p>
</MDBTabPane>
<MDBTabPane tabId="3">
<p>
Lorem ipsum dolor sit amet, consectetur adipisicing
elit. Nihil odit magnam minima, soluta doloribus
reiciendis molestiae placeat unde eos molestias.
Quisquam aperiam, pariatur. Tempora, placeat ratione
porro voluptate odit minima.
</p>
</MDBTabPane>
<MDBTabPane tabId="4">
<p>
Quisquam aperiam, pariatur. Tempora, placeat ratione
porro voluptate odit minima. Lorem ipsum dolor sit amet,
consectetur adipisicing elit. Nihil odit magnam minima,
soluta doloribus reiciendis molestiae placeat unde eos
molestias.
</p>
</MDBTabPane>
</MDBTabContent>
</div>
</MDBContainer>
);
}
}
export default TabsClassic3;
React Tabs - API
In this section you will find advanced information about the Tabs component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.
Import statement
Tabs use other components such as Navigation or Buttons as controls, so make sure you have imported proper modules first.
import { MDBTabPane, MDBTabContent } from 'mdbreact';
API Reference: TabContent Properties
The table below shows the configuration options of the MDBTabContent component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
activeItem |
String |
|
Active TabPane id - use this prop to control the component | <MDBTabContent activeItem={this.state.activeTab} /> |
className |
String |
|
Sets custom classes, use class card to achieve card-like effect (you can use Card
subcomponents inside) |
<MDBTabContent className="card" /> |
API Reference: TabPane Properties
The table below shows the configuration options of the MDBTabPane component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
String |
|
Adds custom classes | <MDBTabPane className="customClass" /> |
tabId |
String |
|
Indicates active pane | <MDBTabPane tabId="tab1" /> |